summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMatthew Kennedy <mkennedy@gentoo.org>2003-05-23 06:06:19 +0000
committerMatthew Kennedy <mkennedy@gentoo.org>2003-05-23 06:06:19 +0000
commit8ca5c85b695674f14362efa6624ca31cbb2528f1 (patch)
treeb140e11e88a10bc8c602407efec5d7b87821abc8 /eclass/elisp.eclass
parentmanifest (diff)
downloadgentoo-2-8ca5c85b695674f14362efa6624ca31cbb2528f1.tar.gz
gentoo-2-8ca5c85b695674f14362efa6624ca31cbb2528f1.tar.bz2
gentoo-2-8ca5c85b695674f14362efa6624ca31cbb2528f1.zip
improvements to make most app emacs ebuilds mode succinct
Diffstat (limited to 'eclass/elisp.eclass')
-rw-r--r--eclass/elisp.eclass39
1 files changed, 38 insertions, 1 deletions
diff --git a/eclass/elisp.eclass b/eclass/elisp.eclass
index 157394c7d93a..5cf3ea84d301 100644
--- a/eclass/elisp.eclass
+++ b/eclass/elisp.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2003 Gentoo Technologies, Inc.
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.4 2003/02/16 04:26:21 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/elisp.eclass,v 1.5 2003/05/23 06:06:19 mkennedy Exp $
#
# Author Matthew Kennedy <mkennedy@gentoo.org>
#
@@ -47,3 +47,40 @@ EOF
done
einfo ""
}
+
+# DEFAULT OVERRIDES
+
+# SRC_URI should be set to wherever the primary app-emacs/ maintainer
+# keeps the local elisp mirror, since most app-emacs packages are
+# upstream as a single .el file
+
+SRC_URI="http://cvs.gentoo.org/~mkennedy/app-emacs/${P}.el.bz2"
+S="${WORKDIR}/"
+DEPEND="virtual/emacs"
+IUSE=""
+
+src_unpack() {
+ unpack ${A}
+ if [ "${SIMPLE_ELISP}" = 't' ]
+ then
+ cd ${S} && mv ${P}.el ${PN}.el
+ fi
+}
+
+src_compile() {
+ emacs --batch -f batch-byte-compile --no-site-file --no-init-file *.el || die
+}
+
+src_install() {
+ elisp-install ${PN} *.el *.elc
+ elisp-site-file-install ${FILESDIR}/${SITEFILE}
+}
+
+pkg_postinst() {
+ elisp-site-regen
+}
+
+pkg_postrm() {
+ elisp-site-regen
+}
+